Skip to main content
GET
/
activities
/
{activity_id}
Get an activity
curl --request GET \
  --url https://{base_url}/api/v1/activities/{activity_id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "2760_182",
  "costCentre": "",
  "isBreak": false,
  "isPaid": true,
  "name": "Annual Leave",
  "payRollCodes": [
    {
      "id": "4630_116",
      "code": "Annual Leave",
      "payRollProvider": "DataPay"
    }
  ]
}

Authorizations

Authorization
string
header
required

Access token obtained from /oauth/token. Pass as Authorization: Bearer {token}

Path Parameters

activity_id
string
required

The unique identifier of the activity to retrieve

Example:

"2760_182"

Response

Activity details

id
string

The unique identifier for the activity

Example:

"2760_182"

costCentre
string

The cost centre associated with the activity. Empty string if not assigned.

Example:

""

isBreak
boolean

Whether this activity is classified as a break

Example:

false

isPaid
boolean

Whether this activity is paid

Example:

true

name
string

The display name of the activity

Example:

"Annual Leave"

payRollCodes
object[]

A list of payroll codes associated with this activity